"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = _interopRequireDefault(require("react"));
var _platformFeatureFlags = require("@atlaskit/platform-feature-flags");
var _compiled = _interopRequireDefault(require("./compiled"));
var _Lozenge = _interopRequireDefault(require("./Lozenge"));
/**
 * __Lozenge__
 *
 * A lozenge is a visual indicator used to highlight an item's status for quick recognition.
 *
 * - [Examples](https://atlassian.design/components/lozenge/examples)
 * - [Code](https://atlassian.design/components/lozenge/code)
 * - [Usage](https://atlassian.design/components/lozenge/usage)
 */
var Lozenge = /*#__PURE__*/_react.default.memo(function (props) {
  return (
    // eslint-disable-next-line @repo/internal/react/no-unsafe-spread-props
    (0, _platformFeatureFlags.fg)('platform_dst_lozenge_fg') ? /*#__PURE__*/_react.default.createElement(_compiled.default, props) : /*#__PURE__*/_react.default.createElement(_Lozenge.default, props)
  );
});

// NOTE: Remove this and just directly `export { default } from '…';` when tidying `platform_dst_lozenge_fg`
Lozenge.displayName = 'Lozenge';
var _default = exports.default = Lozenge;